Prepare Upload
curl --request POST \
--url https://almanac-backend-83vc.onrender.com/v1/wikis/{wiki_id}/uploads \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--data '
{
"files": [
{
"path": "<string>",
"sha256": "<string>",
"size_bytes": 26214400,
"mime_type": "<string>"
}
]
}
'import requests
url = "https://almanac-backend-83vc.onrender.com/v1/wikis/{wiki_id}/uploads"
payload = { "files": [
{
"path": "<string>",
"sha256": "<string>",
"size_bytes": 26214400,
"mime_type": "<string>"
}
] }
headers = {
"Idempotency-Key": "<idempotency-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'Idempotency-Key': '<idempotency-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
files: [
{
path: '<string>',
sha256: '<string>',
size_bytes: 26214400,
mime_type: '<string>'
}
]
})
};
fetch('https://almanac-backend-83vc.onrender.com/v1/wikis/{wiki_id}/uploads', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"files": [
{
"file_id": "<string>",
"path": "<string>",
"target": {
"expires_at": "<string>",
"headers": {},
"method": "<string>",
"url": "<string>"
}
}
],
"upload": {
"created_at": "<string>",
"error": "<string>",
"finished_at": "<string>",
"source_count": 123,
"status_label": "<string>",
"summary": "<string>",
"updated_at": "<string>",
"upload_id": "<string>",
"wiki_id": "<string>"
}
}{
"error": "<string>",
"message": "<string>",
"request_id": "<string>"
}POST
https://almanac-backend-83vc.onrender.com
/
v1
/
wikis
/
{wiki_id}
/
uploads
Prepare Upload
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Path Parameters
Body
application/json
⌘I
